// Persistence of Vision Ray Tracer Scene Description File
// File: .gfx
// Vers: 3
// Desc: An A.D.N geometry form.
// Date: 22/07/97
// Auth: Gfx alias Romain GUY

#debug "ADN @1997 Gfx\n"
#include "gfx.inc"
#include "colors.inc"   // Standard Color definitions
#include "textures.inc" // Standard Texture definitions

camera {
  location <0, 55, -40>
  look_at <0,10,0>
}

plane { 
  <0,1,0>,0
  texture {
    pigment { color rgbt <0.7,0.7,1.0,0.1> }
    finish { diffuse 0.7 }
  }
}

#declare boule_bleue = 
  sphere {
    <0,0,0>, 1
    texture { pigment { color Blue } }
    finish { metallic 1 }
    finish { phong_size 120 diffuse 0.7 brilliance 0.3 }      
  }
  
#declare boule_rouge = 
  sphere {
    <0,0,0>, 1
    texture { pigment { color Red } }
    finish { metallic 1 }
    finish { phong_size 120 diffuse 0.7 brilliance 0.3 }      
  }

#declare ADN =
merge {
#declare AddDist=0
#declare DistMax=5
merge {
  #while (DistMax>0)
#declare Marbre = 1
#declare Angle = 0
#declare AngleMax = 900 
#declare NbBoules = 50
#declare AddAngle = (AngleMax-Angle)/NbBoules
#declare Hauteur = 0
#declare AddHauteur = 0.3
#declare Echelle = 0.1
#declare EchelleMax = 2.0
#declare AddEchelle = (EchelleMax-Echelle)/NbBoules
 #while (Angle<AngleMax)
  #if (Marbre = 1)
    object { boule_bleue translate <-3.2+AddDist, 3+Hauteur, 0> rotate <0, Angle, 0> scale Echelle }
    #declare Marbre = 0
  #else
    object { boule_rouge translate <-3.2+AddDist, 3+Hauteur, 0> rotate <0, Angle, 0> scale Echelle }
    #declare Marbre = 1
  #end
  #declare Angle = Angle + AddAngle
  #declare Hauteur = Hauteur + AddHauteur
  #declare Echelle = Echelle + AddEchelle
 #end
#declare AddDist=AddDist+0.8
#declare DistMax=DistMax-1
#end
}

#declare AddDist=0
#declare DistMax=5
merge {
  #while (DistMax>0)
#declare Marbre = 1
#declare Angle = 0
#declare AngleMax = 900 
#declare NbBoules = 50
#declare AddAngle = (AngleMax-Angle)/NbBoules
#declare Hauteur = 0
#declare AddHauteur = 0.3
#declare Echelle = 0.1
#declare EchelleMax = 2.0
#declare AddEchelle = (EchelleMax-Echelle)/NbBoules
 #while (Angle<AngleMax)
  #if (Marbre = 0)
    object { boule_bleue translate <-3.2-AddDist, 3+Hauteur, 0> rotate <0, Angle, 0> scale Echelle }
    #declare Marbre = 1
  #else
    object { boule_rouge translate <-3.2-AddDist, 3+Hauteur, 0> rotate <0, Angle, 0> scale Echelle }
    #declare Marbre = 0
  #end
  #declare Angle = Angle + AddAngle
  #declare Hauteur = Hauteur + AddHauteur
  #declare Echelle = Echelle + AddEchelle
 #end
#declare AddDist=AddDist+0.8
#declare DistMax=DistMax-1
#end
}
}

light_source {
  < 0, 10, 0 >
  color White
  shadowless
}

light_source {
  < 0, 2, -50>
  color White
  shadowless
}

object {
  ADN
  rotate < 0, 360*clock, 0 >
}
