// Persistence of Vision Ray Tracer Scene Description File
// File: .pov
// Vers: 3
// Desc: The Fox Mulder's real form. 
// Date: 09/11/97
// Auth: Gfx alias Romain GUY

/* This scene allow you to discover the real form of Fox Mulder.
   Do not pay attention to the warnings messages...
   This scene has been created by Gfx. To render this file, you must place the
files "a_hand.pov", "a_desk.pov" and "a_body.pov" in a directory wich is decla
red as a Library_Path in the "povray.ini" file.
   You need the include file "lensflar.inc".
   I used POVLAB v4.0 by Denis Olivier to modell the Lampe, Blob Sculptor v1.0 
by Alfonso Herminger, Steve Anger and Truman Brown to make the Alien.
   I made the rest with My Hands v1.0 and MyBrain v1.0, by my Mother.
   Special thanks to the POV-Ray Team USA and to Frederic Peschansky without 
I never discovered Persistence of Vision.
   See ya l8r on http://www.chez.com/powerteam.
   ALIEN @1997 Gfx Rendered with POV-Ray 3.0
                                                                Gfx.
*/

//*********************MAIN INCLUDE FILE***************
#debug "ALIEN @1997 Gfx\nhttp://www.chez.com/powerteam"
#include "colors.inc"
#include "consts.inc"
#declare Rad_Quality = Radiosity_Final
#include "rad_def.inc"

//*********************LIGHTS AND CAMERA***************
camera {
  location < 5, 7.76562, 25 >
  right 4/3*x
  up < 0, 1, 0 >
  look_at  < 0, 3, 0 >
}

light_source {
  < 0, 21, 11 >
  color White
  spotlight
  point_at < 0, 0, 10 >
  radius 100
  falloff 101
  //tightness 50
  //fade_distance 3
}

//***********************INCLUDE COMPOSANT FILES******
#include "a_hand.pov"
#include "a_body.pov"
#include "a_desk.pov"

//***********************DECLARE TEXTURE**************
#declare Alien_Skin_4 = texture {
  pigment { color rgb <0.02,0.72,0.62> }
  normal {
    spiral1 0.4
    turbulence 0.2
    lambda 2
  }
  finish {
    phong 0.5
    reflection 0.1
  }
}

//***********************THE ALIEN********************
merge {
  object {
    Alien_Arm
    scale < 2, 1, 2 >
    rotate -90*x
    rotate 30*z
    translate < 6.3, 3.5, 7 >
  }
  object {
    Alien_Arm
    scale < 2, 1, 2 >
    rotate -105*x
    rotate -30*z
    translate < -7.85, 4.2, 7 >
  }
  object {
    Alien_Body
    rotate 180*y
    scale < 4, 5.5, 4 >
    translate < -1, 0, 0 >
  }  
  texture {
    Alien_Skin_4
  }
  finish {
    crand 0.04
    roughness 0.04
  }
}

//************************THE ALIEN DESK**************
object {
  Alien_Desk
}

object {
  Alien_Name
  finish {
    ambient 0.2
  }
  scale 0.6
  rotate 10*y
  translate < 5.2, 1.7, 13.3 >
}

object {
  Alien_Lampe
  finish {
    reflection 0.2
  }
  scale < 2, 3, 2 >
  rotate 17*y
  translate < -5, 1.7, 12 >
}

//*****************************THE ALIEN EYES*********
light_source {
  < -1.5, 14, 0 >
  color Red
  spotlight
  point_at < 5, 14, 100 >
  radius 1
  falloff 1
}

light_source {
  < 1.5, 14, 0 >
  color Red
  spotlight
  point_at < 1, 14, 100 >
  radius 1
  falloff 1
}

#declare flare_count = 2               

#declare camera_location = < 5, 7.76562, 25 > 
#declare camera_look_at = < 0, 3, 0 >   
#declare flare_position = < -1.5, 14, 0 >    
#declare flare_type = 9              
#declare flare_size = 0.8             
#declare flare_colour = < 0.8, 0, 0 >      
#include "LensFlar.inc"            

#declare camera_location = < 5, 7.76562, 25 >    
#declare camera_look_at = < 0, 3, 0 >     
#declare flare_position = < 1.5, 14, 0 >    
#declare flare_type = 9             
#declare flare_size = 0.8               
#declare flare_colour = < 0.8, 0, 0 >    
#include "LensFlar.inc"            

//***************************END OF FILE**************
