#declare Metal_Chrome_1 = texture {
  pigment { rgb <0, 0, 0> }
  finish {
    ambient 0.3
    diffuse 0.7
    reflection 0.9
    phong 1.0
  }
}

#declare Metal =
finish {
    metallic
    ambient 0.2
    diffuse 0.7
    brilliance 6
    reflection 0.25
    phong 0.75
    phong_size 80
}

#declare Gold_Metal   = texture { pigment{ color BrightGold } finish{ Metal }}
#declare DMFWood4 =
pigment {
    wood
    turbulence 0.04
    octaves 3
    scale <0.05, .05, 1>
    color_map {
        [0.0, 0.1 color rgb <0.888, 0.600, 0.3>
                  color rgb <0.888, 0.600, 0.3>]
        [0.1, 0.9 color rgb <0.888, 0.600, 0.3>
                  color rgb <0.600, 0.400, 0.2>]
        [0.9, 1.0 color rgb <0.600, 0.400, 0.2>
                  color rgb <0.600, 0.400, 0.2>]
    }
}

#declare Alien_Desk =
union {
box {
  < 11, 1, 6.95 >,
  < -10, 1.7, 16 >
  pigment {
    DMFWood4
    scale 4
  }
}
box {
  < -2, 1.7, 7.2 >,
  < 2, 1.72, 12.53 >
  pigment {
    color White
  }
  no_shadow
}
}

#declare Alien_Name =
merge {
  prism {
    linear_spline
    1,-1,6,
    <-1,-0.975>,
    <-1,-0.975>,
    <1.897e-007,1>,
    <1,-0.975>,
    <-0.9877,-1>,
    <-1,-0.975> 
    sturm
    texture {
      pigment { color Black }
    }
    hollow
    scale <0.63,1.9,0.3>
    scale 2
    rotate <-270,-270,180>
  }
  text {
    ttf "arialn.ttf"
    "FOX MULDER" 0.1, 0
    texture {
      Gold_Metal
    }
    no_shadow
    scale < 1.2, 1, 1 >
    rotate 180*y
    rotate -17*x
    translate 0.7*z
    translate 3.15*x
  }
}

#declare Alien_Lampe =
merge {
disc {
  <0,0,0>,
  <0,0,1>,
  1
  texture {
    Metal_Chrome_1
  }
  hollow
  scale <0.9291,0.901,0.9111>
  rotate <-90,0,0>
  translate <-0.02222,0,5.381e-010>
}

cylinder {
  <0, 1,0>,
  <0,-1,0>,
  1.0000
  texture {
    Metal_Chrome_1
  }
  hollow
  scale <0.6444,0.1671,0.6444>
  translate <-1.325e-009,0.1556,0>
}

box {
  <-1,-1,-1>,<1, 1, 1>
  texture {
    Metal_Chrome_1
  }
  hollow
  scale <0.4735,0.09469,0.1675>
  translate <0,0.4222,0>
}

cylinder {
  <0, 1,0>,
  <0,-1,0>,
  1.0000
  texture {
    Metal_Chrome_1
  }
  hollow
  scale <0.09523,0.08342,0.1778>
  rotate <0,0,270>
  translate <-0.5446,0.4444,0.01105>
}

cylinder {
  <0, 1,0>,
  <0,-1,0>,
  1.0000
  texture {
    Metal_Chrome_1
  }
  hollow
  scale <0.09523,0.08342,0.1778>
  rotate <0,0,270>
  translate <0.5602,0.4444,5.505e-010>
}

cylinder {
  <0, 1,0>,
  <0,-1,0>,
  1.0000
  texture {
    Metal_Chrome_1
  }
  hollow
  scale <0.05,1,0.05>
  rotate <-30,0,0>
  translate <-0.5463,1.266,-0.4651>
}

cylinder {
  <0, 1,0>,
  <0,-1,0>,
  1.0000
  texture {
    Metal_Chrome_1
  }
  hollow
  scale <0.05,1,0.05>
  rotate <-30,0,0>
  translate <0.5718,1.241,-0.4651>
}

object {
  difference {
    cylinder {
      <0,0, 1>,
      <0,0,-1>,
      1
    }
    cylinder {
      <0,0, 1.1>,
      <0,0,-1.1>,
      0.555557
    }
    plane {
      <0,-1,0>,0
    }
    plane {
      <-1,0,0>,0
    }
  }
  translate <0.5,0.5,0>
  texture {
    pigment {
      color MediumVioletRed
    }
  }
  hollow
  scale <0.2966,0.1801,0.9174>
  rotate <-63.43,-270,116.6>
  translate <0.006661,2.158,-1.026>
}
}
