// Persistence of Vision Ray Tracer Scene Description File
// File: .gfx
// Vers: 3
// Desc: Duke Nukem 3D arcade Game...
// Date: 27/07/97
// Auth: Gfx alias Romain GUY

#debug "ARCADE @1997 Gfx\n"
#include "gfx.inc"

camera {
  location < -0.3, 4.2, -5.6 >
  look_at < 0, 4.2, 100 >
}

plane {
  y, 1.5
  pigment {
    image_map {
      tga
      "parquet.tga"
    }
  scale 1.2
  }
}

plane {
  z, 2.1
  texture {
    Cork
    scale 1.2
  }
}

light_source {
  < 0, 4, -8 >
  color rgb < 0.9, 0.9, 0.9 >
}

light_source {
  < -10, 4, 1 >
  color rgb 0.8
}

light_source {
  < 10, 4, 1 >
  color rgb 1
}

merge {
box {
  < -1, 1.5, 0 >,
  < 1, 4, 2 >
  texture {
    Gold_Metal
  }
}

difference {
box {
  < -1, 4, 1 >,
  < 1, 5.7, 2 >
  texture {
    Gold_Metal
  }
}
box {
  < -0.95, 4.1, 0.9 >,
  < 0.95, 5.6, 1.5 >
  texture {
    Gold_Metal
  }
}
}

box {
  < -0.95, 4.1, 1.1 >,
  < 0.95, 5.6, 1.1 >
  pigment {
    image_map {
      tga
      "arcade.tga"
    }
  scale < 1.9, 1.5, 1 >
  translate < 0.95, 1.1, 0 >
  }
}

box {
  < -1, 5.7, 0.3 >,
  < 1, 6, 2 >
  texture {
    Gold_Metal
  }
}
}

merge {
  cylinder {
    < 0, 0, 0 >,
    < 0, 1, 0 >,
    0.2
  }
  sphere {
    < 0, 1.5, 0 >, 0.5
  }
  texture {
    pigment {
      color Red
    }
    finish {
      crand 0.2
    }
  }
  scale 0.15
  translate < -0.6, 4, 0.3 >
}

cylinder {
  < 0.6, 4, 0.4 >,
  < 0.6, 4.04, 0.4 >,
  0.08
  pigment {
    color Green
  }
  finish {
    ambient 0.3
    diffuse 0.90
    phong 1.00
    phong_size 35.0
  }
}

cylinder {
  < 0.42, 4, 0.4 >,
  < 0.42, 4.04, 0.4 >,
  0.08
  pigment {
    color Blue
  }
  finish {
    ambient 0.3
    diffuse 0.90
    phong 1.00
    phong_size 35.0
  }
}

cylinder {
  < 0.24, 4, 0.4 >,
  < 0.24, 4.04, 0.4 >,
  0.08
  pigment {
    color Red
  }
  finish {
    ambient 0.3
    diffuse 0.90
    phong 1.00
    phong_size 35.0
  }
}

box {
  < -5, 3.5, 1.999 >,
  < -2, 7.5, 1.999 >
  pigment {
    image_map {
      tga
      "duke.tga"
    }
  scale < 3, 4, 1 >
  translate < -2, 3.5, 1.9 >
  }
  no_shadow
}

difference {
box {
  < 0, 0, 0 >,
  < 1, 2, 0.1 >
  texture {
    Chrome_Metal
  }
}
union {
  box {
    < 0.45, 1.2, 0 >,
    < 0.55, 1.7, 0.1 >
    pigment {
      color Black
    }
  }
  box {
    < 0.45, 0.2, 0 >,
    < 0.55, 0.7, 0.1 >
    pigment {
      color Black
    }
  }
}
scale 0.2
translate < -0.7, 3.4, -0.01 >
}


  
