#include "colors.inc"
#include "textures.inc"

camera { 
  location < -0.5, 1.0, -2.2 >
  look_at < 0, 0.5, 0 >
}

background { color Blue }

atmosphere {
  type 1
  samples 30
  distance 40
  scattering 0.4
  jitter 0.04
}

#declare Texture_Mur = 
 texture {
   pigment { color White }
   normal { bumps 0.2 scale 0.01 }
   finish { diffuse 0.6 }
 }

#declare Fenetre =
  union {
    box { < 0.9, 0.4, 1 >, < 1.3, 0.8, 0.5 > }
    box { < 0.9, 0.85, 1 >, < 1.3, 1.25, 0.5 > }
    box { < 0.9, 0.4, 0.45 >, < 1.3, 0.8, -0.05 > }
    box { < 0.9, 0.85, 0.45 >, < 1.3, 1.25, -0.05 > }
  }

union {
 
 difference {
   
   box {
     < 1, 0, -2 >, < 1.02, 1.7, 4 >
     texture { Texture_Mur }
   }
   
   object { Fenetre pigment { color rgbt < 1, 1, 1, 1 > } }
 
 }
 
 box {
   < -3.0, 0, 4 >, < 1, 1.7, 4 >
   texture { Texture_Mur }
 }
 
 box {
   < -3, -0.2, -2 >, < 1, 0, 4 >
   texture { DMFWood1 }
 }
 
 box {
   < -3, 1.7, -2 >, < 1, 1.9, 4 >
   texture { Texture_Mur }
 }

}

light_source {
  < -0.5, 1.4, -1 >
  color rgb < 0.7, 0.7, 0.7 >
  atmosphere off
}

light_source {
  < 4.0, 2.8, 0 >
  color White
  spotlight
  point_at < 0, 0.5, 0 >
  radius 40
  falloff 30
  atmospheric_attenuation on
}

