// Persistence of Vision Ray Tracer Scene Description File
// File: .gfx
// Vers: 3
// Desc: A building lightes by a light-cone and a beautiful night with moon.
// Date: 22/07/97
// Auth: Gfx alias Romain GUY

#debug "BUILDING @1997 Gfx\n"
#include "gfx.inc"
#include "stars.inc"

camera {
  location < 0, 0, 0 >
  look_at < 0, 0.2, 100 >
  translate < 2, 1, -5 >   
  rotate < 0, 360*clock, 0 > 
}

light_source {
  < 0, 0.2, -6 >
  color White
  atmosphere off
}

box {
  < -3, -20, 0 >,
  < 3, 0.2, 6 >
  texture {
    pigment {
      image_map {
        tga
        "imm.tga"
         map_type 0
      }
    }
  }
  rotate < 0, 45, 0 >
}

text {
  ttf
  "arialn.ttf"
  "Power Team"
  0.5, 0
  texture {
    Chrome_Metal
  }
  finish {
    ambient 0.3
  }
  rotate < 0, 45, 0 >
  translate < -1, 0.2, 3 >
}

        
/* atmosphere supprime la sky_sphere

atmosphere {
  type 1
  samples 20
  distance 40
  scattering 0.4
  jitter 0.002
}

light_source {
  < 4, -5, -3 >
  color White
  spotlight
  point_at < 0, 0.5, 0 >
  radius 3.5
  falloff 25
  atmospheric_attenuation on
}

*/
//Utilisation d'un cne et d'un halo pour simuler l'atmosphere et le proj-
//ecteur. De plus, les calculs sont plus rapides.

cone {
  < -3, -1, -5 >, 0.03
  < 3.5, 0.7, 7 >, 2.6
  pigment {
    color rgbt < 1, 1, 1, 1 >
  }
  halo {
    emitting
    cylindrical_mapping
    linear
    turbulence 0.8
    color_map {
      [ 0 color rgbt < 0.7, 1, 1, 0.9 > ]
      [ 1 color rgbt < 0.9, 1, 1, 0.65 > ]
    }
    samples 10
  }
  hollow
  translate < 4*clock, 0, 0 >
}

sky_sphere {
  Nuit
}

