#include "gfx.inc"

#declare Mountains_Snow = texture {
  pigment {
    bozo
    turbulence 0.5
    color_map {
      [0.00 0.29 color rgb <0.79, 0.71, 0.66>
                 color rgb <0.83, 0.69, 0.62>]
      [0.29 0.31 color rgb <0.83, 0.69, 0.62>
                 color rgb <0.76, 0.66, 0.61>]
      [0.31 0.43 color rgb <0.76, 0.66, 0.61>
                 color rgb <0.88, 0.76, 0.73>]
      [0.43 0.64 color rgb <0.88, 0.76, 0.73>
                 color rgb <0.70, 0.60, 0.55>]
      [0.64 0.69 color rgb <0.70, 0.60, 0.55>
                 color rgb <0.87, 0.71, 0.66>]
      [0.69 1.00 color rgb <0.87, 0.71, 0.66>
                 color rgb <0.79, 0.71, 0.66>]
    }
  }
  normal {bumps 0.5 scale <1, 0.2, 1>}
}
texture {
  pigment {
    marble
    turbulence 1.0
    color_map {
      [0.00 0.20 color rgbf <0.79, 0.71, 0.66, 0.5>
                 color rgbf <0.53, 0.39, 0.32, 0.5>]
      [0.20 0.40 color rgbf <0.53, 0.39, 0.32, 0.5>
                 color rgbf <0.76, 0.66, 0.61, 0.5>]
      [0.40 0.60 color rgbf <0.76, 0.66, 0.61, 0.5>
                 color rgbf <0.88, 0.76, 0.73, 0.5>]
      [0.60 0.80 color rgbf <0.88, 0.76, 0.73, 0.5>
                 color rgbf <0.50, 0.40, 0.25, 0.5>]
      [0.80 1.00 color rgbf <0.50, 0.40, 0.25, 0.5>
                 color rgbf <0.79, 0.71, 0.66, 0.5>]
    }
  }
  finish {ambient 0.02}
  normal {wrinkles 0.9}
  scale <0.1,0.5,0.5>
  rotate <0,0,90>
}
texture {
  pigment {
    bozo
    turbulence 0.7
    color_map {
      [0.0 0.5 color rgbf <1.00, 1.00, 1.00, 1.0>
               color rgbf <1.00, 1.00, 1.00, 1.0>]
      [0.5 0.6 color rgbf <1.00, 1.00, 1.00, 0.2>
               color rgbf <1.00, 1.00, 1.00, 0.2>]
      [0.6 1.0 color rgbf <1.00, 1.00, 1.00, 0.0>
               color rgbf <1.00, 1.00, 1.00, 0.0>]
    }
  }
  finish {ambient 0.8}
  scale <0.3 0.3 0.3>
}

camera {
  location < 1e-005, -0.5111, -2.622 >
  direction < 0, 0, 1.303 >
  right < 1.6666, 0, 0 >
  look_at < 1e-005, -1.289, 0.04443 >
}

light_source { 
  < 0, 1, -3 >
  color rgb < 0.8, 0.8, 0.9 >
  atmosphere off
}

object {
  height_field {
    tga
    "montagne.tga"
    smooth
    water_level 0
  }
  translate < -0.5, -0.4451, -0.5 >
  scale < 2, 2.247, 2 >
  texture {
    Mountains_Snow
    scale < 1.844, 1.844, 1.844 >
    finish {
      ambient 1
    }
  }
  hollow
  scale < 1.589, 1.49, 1.589 >
}

sky_sphere {
  Nuit
}

text {
  ttf
  "crystal.ttf"
  "Merry"
  0.3, 0
  texture {
    pigment {
      gradient y
      colour_map {
        [ 0.000 color Violet ]
        [ 0.200 color Blue ]
        [ 0.400 color Cyan ]
        [ 0.600 color Green ]
        [ 0.800 color Yellow ]
        [ 0.900 color Orange ]
        [ 1.000 color Red ]
      }
    }
    finish {
      ambient 0.5
    }
    scale 0.5
  }
  rotate 22*x
  rotate -35*y
  scale 0.5
  translate < 1e-005, -0.7, -1 >
}

text {
  ttf
  "crystal.ttf"
  "Christmas"
  0.3, 0
  texture {
    Chrome_Metal
    pigment {
      color rgb < 1, 0, 0 >
    }
  }
  no_shadow
  scale 0.3
  translate < 1e-005-0.7, -0.9, -1.4 >
}

light_source {
  < 1e-005, -0.6, -2 >
  color Red
  spotlight
  point_at < 1e-005, -0.8, -2 >
  radius 1
  falloff 1
}

#declare camera_location = < 1e-005, -0.5111, -2.622 > 
#declare camera_look_at = < 1e-005, -1.289, 0.04443 >   
#declare flare_position = < 1e-005, -0.6, -2 >    
#declare flare_type = 9              
#declare flare_size = 3             
#declare flare_colour = < 0, 0.9, 0 >      
#include "LensFlar.inc"            
