// Persistence of Vision Ray Tracer Scene Description File
// File: .gfx
// Vers: 3
// Desc: Power Team words with some disk on the first ground
// Date: 10/09/97
// Auth: Gfx alias Romain GUY

/* ATTENTION!! Si vous utilisez les paramtres suivants et un calcul en radio-
sit, l'image prendra 11 h 37 mn de calcul sur un 486 Dx4 100 Mhz et 20 Mo RAM
Pour utiliser ces paramtres, rajoutez +QR sur la ligne de commande (utilisa-
tion de la radoisit). 
Paramtres: +A +J +R +QR +w640 +h480 */

//*********************INCLUDES***************************

#debug "DISK @1997 Gfx\n"
#include "gfx.inc"
#include "metals.inc"
#include "consts.inc"
#declare Rad_Quality = Radiosity_Final
#include "rad_def.inc"

//*********************CAMERA AND LIGHTS******************

camera {
  location < 0, -9, -8 >
  look_at < 2, 5.5, 5 >
}

light_source {
  < 2, 5, -10 >
  color White
}

light_source {
  < 0, 27, 11 >
  color White
}

//*********************GROUND*****************************

box { 
  < -500, -500, 10.3 >,
  < 500, 500, 10.3 >
  texture {
    pigment { color rgbt <0.7,0.7,1.0> }
    finish { reflection 0.7 diffuse 0.7 }
  }
}

//*********************DECLARE BLACK DISK*****************

#declare Disk1 =       //**********INTENSIVE CSG**********
difference {
box {
  < -4.5, 0, 10 >,
  < 4.5, 9.2, 10.3 >
  texture {
    finish {
        ambient 0.10
        diffuse 0.90
        phong_size 60
        phong 0.2 
    }
    pigment {
      color rgb < 0, 0, 0 >
    }
  }
}

box {
  < -4.2, 8.2, 9.9 >,
  < -3.7, 8.7, 10.35 >
  pigment {
    color rgb < 0, 0, 0 >
  }
  finish {
    ambient 0.10
    diffuse 0.90
    phong_size 60
    phong 0.2 
  }
}

box {
  < 4.2, 8.2, 9.9 >,
  < 3.7, 8.7, 10.35 >
  pigment {
    color rgb < 0, 0, 0 >
  }
  finish {
    ambient 0.10
    diffuse 0.90
    phong_size 60
    phong 0.2 
  }
}

box {
  < -3.6, 3.9, 9.9 >,
  < 3.6, 10, 10.08 >
  pigment {
    color rgb < 0, 0, 0 >
  }
  finish {
    ambient 0.10
    diffuse 0.90
    phong_size 60
    phong 0.2 
  }
}

box {
  < -2.5, 0, 9.9 >,
  < 3.5, 3.1, 10.08 >
  pigment {
    color rgb < 0, 0, 0 >
  }
  finish {
    ambient 0.10
    diffuse 0.90
    phong_size 60
    phong 0.2 
  }
}

box {
  < -2.5, 0, 9.9 >,
  < 3.5, 0.1, 10.35 >
  pigment {
    color rgb < 0, 0, 0 >
  }
  finish {
    ambient 0.10
    diffuse 0.90
    phong_size 60
    phong 0.2 
  }
}
}

#declare Trou_Metal =
box {
  < -1.8, 0.5, 9.9 >,
  < -0.6, 2.9, 10.08 >
  texture {
    Polished_Chrome
  }
}

#declare Disk_Black =  //**********BLACK DISK CONSTRUCTED*
merge {
  text {
    ttf "arialn.ttf"
    "HD" 0.01, 0
    pigment {
      color rgb < 1, 1, 1 >
    }
    scale 0.7
    rotate < 0, 0, 180 >
    translate < -3, 0.9, 9.99 >
  }
  object { Disk1 }
  difference {
    merge {
      box {
        < -2.5, 0, 10 >,
        < 2.2, 3.08, 10.08 >
        texture {
          Polished_Chrome
        } 
      }
      box {
        < -2.5, -0.06, 10 >,
        < 2.2, -0.06, 10.3 >
        texture {
          Polished_Chrome
        }
      }
    }
  object { Trou_Metal }
  }
}

#declare Disk2 =       //**********GRAY DISK**************
difference {
box {
  < -4.5, 0, 10 >,
  < 4.5, 9.2, 10.3 >
  texture {
    finish {
        ambient 0.10
        diffuse 0.90
        phong_size 60
        phong 0.2 
    }
    pigment {
      color Gray
    }
  }
}

box {
  < -4.2, 8.2, 9.9 >,
  < -3.7, 8.7, 10.35 >
  pigment {
    color Gray
  }
  finish {
    ambient 0.10
    diffuse 0.90
    phong_size 60
    phong 0.2 
  }
}

box {
  < 4.2, 8.2, 9.9 >,
  < 3.7, 8.7, 10.35 >
  pigment {
    color rgb < 0, 0, 0 >
  }
  finish {
    ambient 0.10
    diffuse 0.90
    phong_size 60
    phong 0.2 
  }
}

box {
  < -3.6, 3.9, 9.9 >,
  < 3.6, 10, 10.08 >
  pigment {
    color Gray
  }
  finish {
    ambient 0.10
    diffuse 0.90
    phong_size 60
    phong 0.2 
  }
}

box {
  < -2.5, 0, 9.9 >,
  < 3.5, 3.1, 10.08 >
  pigment {
    color Gray
  }
  finish {
    ambient 0.10
    diffuse 0.90
    phong_size 60
    phong 0.2 
  }
}

box {
  < -2.5, 0, 9.9 >,
  < 3.5, 0.1, 10.35 >
  pigment {
    color Gray
  }
  finish {
    ambient 0.10
    diffuse 0.90
    phong_size 60
    phong 0.2 
  }
}
}

#declare Disk_Gray =
merge {
  text {
    ttf "arialn.ttf"
    "HD" 0.01, 0
    pigment {
      color rgb < 0.8, 0.8, 0.8 >
    }
    scale 0.7
    rotate < 0, 0, 180 >
    translate < -3, 0.9, 9.99 >
  }
  object { Disk2 }
  difference {
    merge {
      box {
        < -2.5, 0, 10 >,
        < 2.2, 3.08, 10.08 >
        texture {
          Polished_Chrome
        } 
      }
      box {
        < -2.5, -0.06, 10 >,
        < 2.2, -0.06, 10.3 >
        texture {
          Polished_Chrome
        }
      }
    }
  object { Trou_Metal }
  }
}

//*********************PLACE THE DISKS********************

object {
  Disk_Gray
}

object {
  Disk_Gray
  translate < -2, 0.7, -0.3 >
}

object {
  Disk_Gray
  rotate < 0, 0, -19 >
  translate < -0.5, 1.3, -0.6 >
}

object {
  Disk_Black
  translate < 0.1, 1, -0.9 >
}

object {
  Disk_Gray
  translate < 0, -1.4, -1.2 >
}

object {
  Disk_Black
  translate < 0.4, 1.8, -1.5 >
}

object {
  Disk_Black
  rotate < 0, 0, -15 >
  translate < 0.2, 2, -1.8 >
}

object {
  Disk_Black
  translate < -0.4, 0.9, -2.1 >
}

object {
  Disk_Gray
  rotate < 0, 0, 10 >
  translate < 2, 2.3, -2.3 >
}

object {
  Disk_Black
  rotate < 0, 0, 25 >
  translate < 11, 3, 0 >
}

text {
  ttf "arialn.ttf"
  "POWER TEAM" 1, 0
  texture {
    T_Chrome_5E
  }
  scale < 6, 6, 1 >
  rotate < -90, 0, 10 >
  translate < -8.1, 16, 10.3 > 
}
//end of file
