// Persistence of Vision Ray Tracer Scene Description File
// File: .gfx
// Vers: 3
// Desc: A cup of ice-balls whith a colored straw 
// Date: 20/07/97
// Auth: Gfx alias Romain GUY

#debug "ICE @1997 Gfx\n"
#include "gfx.inc"
#include "skies.inc"

camera {
  location < 0, 1, -1.55 >
  look_at < 0, 0.2, 2 >
}

light_source {
  < 0, 1, -1.56 >
  color White
}

#declare Coupe =
sor { 
  18,
  <0.028,-0.028>,
  <0.000,0.001>,
  <1.000,0.0011>,
  <1.647,0.00111>,
  <2.121,0.001111>,
  <0.620,0.853>,
  <0.530,1.088>,
  <0.502,1.312>,
  <0.419,1.674>,
  <0.363,1.898>,
  <0.391,1.954>,
  <0.363,2.009>,
  <0.310,2.403>,
  <0.809,2.902>,
  <1.256,3.349>,
  <1.954,4.102>,
  <2.456,4.549>,
  <2.902,5.051>
  sturm
}

#declare Trou =
cone {
 < 0, 5.124, 0 >, 2.17
 < 0, 2.813, 0 >, 0.2
}

#declare CoupeF =
difference {
  object {
    Coupe
  }
  object {
    Trou
  }
  texture {
    Glass3
  }
  scale .2
  finish {
    ambient 0.3
  }
}

box {
  < -10, -1, -2 >,
  < 10, 0.2, 3 >
  pigment {
    Table_Marble
  }
  rotate 45*y
  finish {
    phong_size 120
    roughness 0.0005
  }
}

#declare Boule1 =
sphere {
  < 0, 3, 0 >, 0.4
  pigment {
    color rgb < 0.9, 0, 0.4 >
  }
  finish {
    crand 0.2
  }
  normal {
    bumps 1
    scale 3
  }
}  

#declare Boule2 =
sphere {
  < -0.5, 3.8, 0 >, 0.6
  pigment {
    color Yellow
  }
 finish {
   crand 0.2
 }
 normal {
    bumps 1
    scale 3
  }
}

#declare Boule3 =
sphere {
 < 0.6, 3.8, 0 >, 0.7
 pigment {
   color rgb < 0, 1, 0.1 >
 }
 finish {
   crand 0.2
 }
 normal {
   bumps 1
   scale 3
 }
}

#declare Paille =
cylinder {
  < 1, 3.3, -0.1 >,
  < 1.8, 5.7, 0.3 >,
  0.1
  pigment {
    gradient x
      color_map {
        [ 0 color Red ]
        [ 0.25 color Blue ]
        [ 0.5 color Red ]
        [ 0.75 color Blue ]
      }
  }
}

union {
  object { Boule1 }
  object { Boule2 }
  object { Boule3 }
  object { Paille }
  scale .2
  translate < 0, 0.2, 0.3 >
}

object {
  CoupeF
  translate < 0, 0.2, 0.3 >        
}

sky_sphere {
  S_Cloud2
}

plane {
  y, 0
  pigment {
    color Green
  }
  finish {
   crand 0.55
   ambient 0.3
  }
  translate -1.2*y
}
