// Persistence of Vision Ray Tracer Scene Description File
// File: .gfx
// Vers: 3
// Desc: Great rainbow over a wood-table in the grass
// Date:
// Auth: Gfx alias Romain GUY

#debug "RAINBOW @1997 Gfx\n"
#include "gfx.inc"
#include "skies.inc"

camera {
  location < 0, 1.1, -5 >
  look_at < 0, 0.2, 0 >
}

light_source {
  < 0.5, 1, -1 >
  color White
  shadowless
}

sky_sphere {
  S_Cloud3
}

rainbow {
  angle 35
  width 10
  arc_angle 190
  falloff_angle 20
  distance 1.0e2
  direction < -0.4, -0.3, 1.1 >
  jitter 0.02
  colour_map {
    [ 0.000 color Violet transmit 0.7 ]
    [ 0.200 color Blue transmit 0.5 ]
    [ 0.400 color Cyan transmit 0.5 ]
    [ 0.600 color Green transmit 0.5 ]
    [ 0.800 color Yellow transmit 0.5 ]
    [ 0.900 color Orange transmit 0.5 ]
    [ 1.000 color Red transmit 0.5 ]
  }
}

plane {
  y, 0
  pigment { color Green }
  finish { ambient 0.25 diffuse 0.7 crand 0.9 }
}

#declare Table =
box {
  < 0, 0.5, 0 >
  < 0.7, 0.6, 1 >
  texture { DMFWood1 }
}

#declare Pied1 =
cylinder {
  < 0.1, 0, 0 >
  < 0.1, 0.5, 0 >
  0.05
  texture { DMFWood1 }
}

#declare Pied2 =              
cylinder {
  < 0.6, 0, 0 >
  < 0.6, 0.5, 0 >
  0.05
  texture { DMFWood1 }
}

#declare Pied3 =              
cylinder {
  < 0.6, 0, 0.9 >
  < 0.6, 0.5, 0.9 >
  0.05
  texture { DMFWood1 }
}

#declare Pied4 =              
cylinder {
  < 0.1, 0, 0.9 >
  < 0.1, 0.5, 0.9 >
  0.05
  texture { DMFWood1 }
}
  
#declare Nappe =
box {
  < 0, 0.6, 0.3 >
  < 0.7, 0.6, 0.8 >
  pigment { checker color Red color White scale 0.06 }
  finish { ambient 0.25 }
  rotate < 0, 45, 0 >
}

union {
  object { Table }
  object { Pied1 }
  object { Pied2 }   
  object { Pied3 }   
  object { Pied4 }   
  object { Nappe }
  translate < -0.5, 0, 0 >
  rotate < 0, 45, 0 >
}
