// Persistence of Vision Ray Tracer Scene Description File
// File: .pov
// Vers: 3
// Desc: An alarm red lamp
// Date: 01/22/98
// Auth: Gfx alias Romain GUY

#debug "DREAM WORK (c)1998 Gfx\n"
#include "gfx.inc"
#include "consts.inc"
#declare Rad_Quality = Radiosity_Final
#include "rad_def.inc"

//******STANDRARDS DECLARATIONS******

camera {
  location < 0, 1, -1 >
  look_at < 0, 0.2, 100 >
}

light_source {
  < 0, 1, -20 >
  color rgb < 1, .2, .2 >
}

//******THE RED LAMP******

#declare Arc_Circle =
merge {
  difference {
    torus {
      .5, .05
      texture {
        Chrome_Metal
        finish {
          reflection .3
        }
      }
      rotate 90*x
    }
    plane {
      y, 0
      texture {
        Chrome_Metal
        finish {
          reflection .3
        }
      }
      hollow
    }
  }
  cylinder {
    < -.5, 0, 0 >,
    < -.5, -.8, 0 >,
    .05
    texture {
      Chrome_Metal
      finish {
        reflection .3
      }
    }
  }
  cylinder {
    < .5, 0, 0 >,
    < .5, -.8, 0 >,
    .05
    texture {
      Chrome_Metal
      finish {
        reflection .3
      }
    }
  }
}

#declare Protection_of_Lamp =
merge {
  object {
    Arc_Circle
    translate 1*y
  } 
  object {
    Arc_Circle
    rotate 90*y
    translate 1*y
  } 
  torus {
    .45, .04
    texture {
      Chrome_Metal
      finish {
        reflection .3
      }
    }
    translate .7*y
  }
  torus {
    .45, .04
    texture {
      Chrome_Metal
      finish {
        reflection .3
      }
    }
    translate 1.1*y
  }
}

#declare Lamp_Glass =
merge {
  cylinder {
    < 0, 0, 0 >,
    < 0, -.8, 0 >,
    .4
    texture {
      pigment {
        color rgbf < 1, 0, 0, .7 >
      }
      finish {
        Glass_Finish
      }
    }
    hollow
  }
  sphere {
    < 0, 0, 0 >,
    .4
    texture {
      pigment {
        color rgbf < 1, 0, 0, .7 >
      }
      finish {
        Glass_Finish
      }
    }
    hollow
  }
}

#declare Lamp = 
union {
  object { Protection_of_Lamp }
  object { Lamp_Glass translate 1*y }
  light_source {
    < 0, .9, 0 >
    color rgb < 1, 1, 1 >
  }
} 

object { Lamp rotate 25*y }

//******A LENS FLARE******

/* The lens types which can be used:

Space1, Space2, Space3, SmallStar, BigStar, Sparkle1, Sparkle2, Sparkle3, Sports, Concert
35mm, 50mm, 105mm, Sunset1, Sunset2, 85mm, Camcorder, TV-Day, WarpFlare and Sparkle4
*/

#declare cam_loc = < 0, 1, -1 >
#declare light_loc = < 0, .9, 0 >
#declare sky_vect = < 0, 1, 0 >
#declare lookat = < 0, 0.2, 100 >
#declare flare_type = "SmallStar"
#declare source_color = < 1, 0, 0 >
#include "lnsflare.inc"

light_source {
  < -5, 4, 7 >
  color rgb < 1,.4, .2 >
  shadowless
}

#declare cam_loc = < 0, 1, -1 >
#declare light_loc = < -5, 4, 7 >
#declare sky_vect = < 0, 1, 0 >
#declare lookat = < 0, 0.2, 100 >
#declare flare_type = "Space1"
#declare source_color = < 1, 0, 0 >
#include "lnsflare.inc"

//******SOME FOG******

fog {
  fog_type 2
  distance 1.7
  color rgb < .7, .3, .1 >
  fog_offset 4
  fog_alt .2
}

//******END OF SCRIPT******
