// Persistence of Vision Ray Tracer Scene Description File
// File: .gfx
// Vers: 3
// Desc: Three cylinder on a great floor with Lens flares to present P.O.V 3
// Date:
// Auth: Gfx alias Romain GUY

#debug "SCENE @1997 Gfx\n"
#include "gfx.inc"
#include "woods.inc"
#include "skies.inc"

camera {
   location < 0, 0, -3 >
   look_at < 0, -0.2, 1000 >
}

light_source {
    < -0.5, 2, 0 >
    color White
}

cylinder {          // first cylinder
   < 0, 0, 0 >
   < 0, 1000, 0 >
   0.6
   open 
   texture { Glass3 }
   finish { ambient 0.2 }
   rotate < 90, 0, 0 >
}

sky_sphere {                 // sky
   S_Cloud3
}

box {                              // ground
  < -300, -1, -100 >
  < 300, -1, 1900 > 
  texture { T_Wood10 }
  finish { reflection 0.2 phong_size 60 }
}

light_source {
   < 0, 0.5, 1001 >
   color rgb < 1.0, 0, 0 >
}

text {                                      // POV 3.0
   ttf "arialn.ttf"
   "POV 3.0" 1, 0
   texture { Chrome_Metal }
   finish { ambient 0.3 }
   scale 0.7
   translate < -0.5, 0.7, 0 >
}

cylinder {                                           // second cylinder
   < 0, 0, 0 > 
   < 0, 1000, 0 >
   0.6
   open 
   texture { Glass3 }
   finish { ambient 0.2 }
   rotate < 90, 0, 0 >
   translate < -1.2, 0, 0 >
}

light_source {
    < -1.2, 0, 1001 >
    color rgb < 0, 1, 0 >
}

cylinder {                                   // third cylinder
   < 0, 0, 0 > 
   < 0, 1000, 0 >
   0.6
   open 
   texture { Glass3 }
   finish { ambient 0.2 }
   rotate < 90, 0, 0 >
   translate < 1.2, 0, 0 >
}

cylinder {                                   // fourth cylinder
   < 0, 0, 0 > 
   < 0, 1000, 0 >
   0.6
   open 
   texture { Glass3 }
   finish { ambient 0.2 }
   rotate < 90, 0, 0 >
   translate < -1.2, 1.2, 0 >
}

light_source {
    < -1.2, 1.2, 1001 >
    color rgb < 0, 0, 1 >
}

// Starting Lens flares declarations

#declare camera_location = < 0, 0, -3 >
#declare camera_look_at = < 0, -0.2, 1000 >

#declare flare_type = 1
#declare flare_count = 3

#declare flare_position = < 0, 0.5, 1001  >
#include "LensFlar.inc"

#declare flare_position = < -1.2, 0, 1001 >
#include "LensFlar.inc"

#declare flare_position = < -1.2, 1.2, 1001 >
#include "LensFlar.inc"

// End of Lens Flares declarations 
