// Persistence of Vision Ray Tracer Scene Description File
// File: .gfx
// Vers: 3
// Desc: A sea at 18 o'clock.
// Date: 26/07/97
// Auth: Gfx alias Romain GUY

#debug "SUN @1997 Gfx\n"
#include "gfx.inc"

camera {
  location < 0, 16, -30 >
  look_at < 0, 16, 10 >
}

light_source { 
  < 0, 16, 100 >
  color Orange
  spotlight
  point_at < 0, 16, -20 >
  radius 80
  falloff 85
}

#declare camera_location = < 0, 16, -30 >    // Camera
#declare camera_look_at = < 0, 16, 10 >  // Look_at value
#declare flare_position = < 0, 16, 100 >   // Pos. of light with Lens-Flare
#declare flare_type = 2                   // Type (1->9)   
#include "LensFlar.inc"                   // The Lens-Flare

/* Try to change the fog if you wanna see 
   the hollowed sphere, wich looks like sun,
   and remove the /* & */ signs

sphere {
  < 0, 15, 100 >, 30
  pigment { color rgbt < 1, 1, 1, 1 > }
  halo {
    emitting
    spherical_mapping  
    linear
    turbulence 1.2
    color_map {
      [ 0 color rgbt < 1, 0, 0, 1 > ]
      [ 1 color rgbt < 0.8, 1, 0, -1 > ]
    }
    samples 20
  }
  hollow
  finish {
    ambient 1
  }
}

*/

box {
  < -500, 0, -100 >
  < 500, 15, 100 >
  texture {
    Water
  }
  normal {
    waves
  }
  finish {
    reflection 0.6
  }
}

sky_sphere {
    pigment { rgb <0.3, 0, 0> }
    pigment {
        bozo
        turbulence 1.5
        octaves 10
        omega .5
        lambda 2.5
        color_map {
            [0.0, 0.5 color rgbf<.75, .25, 0, 0>
                      color rgbf<.9, .4, 0, .9> ]
            [0.5, 0.7 color rgbf<.9, .4, .0, .9>
                      color rgbf<1, 0.5, 0, 1> ]
            [0.7, 1.0 color rgbf<1, 0.5, 0, 1>
                      color rgbf<0, 1, 1, 1> ]
        }
    scale <1, 0.3, 10>
    }
    pigment {
        bozo
        turbulence 0.6
        octaves 10
        omega .5
        lambda 2.5
        color_map {
            [0.0, 0.5 color rgbf<.75, .25, 0, 0>
                      color rgbf<.9, .4, 0, .9> ]
            [0.5, 0.7 color rgbf<.9, .4, .0, .9>
                      color rgbf<1, 0.5, 0, 1> ]
            [0.7, 1.0 color rgbf<1, 0.5, 0, 1>
                      color rgbf<0, 1, 1, 1> ]
        }
        scale <1, 0.3, 10>
    }
    pigment {
        bozo
        turbulence 0.8
        octaves 10
        omega .5
        lambda 2.5
        color_map {
            [0.0, 0.4 color rgbf<.75, .25, 0, 0>
                      color rgbf<.9, .4, 0, .9> ]
            [0.4, 0.6 color rgbf<.9, .5, 0, .9>
                      color rgbf<1, 0.5, 0, 1> ]
            [0.6, 1.0 color rgbf<1, 0.6, 0, 1>
                      color rgbf<0, 1, 1, 1> ]
        }
        scale <1, 0.3, 10>
    }
}

fog {
  fog_type 2
  distance 65
  color Orange
  turbulence 0.2
  turb_depth 0.2
  fog_offset 16
  fog_alt 17
}
