// Persistence of Vision Ray Tracer Scene Description File
// File: .gfx
// Vers: 3
// Desc: T.V on a table with a window on the wall
// Date:
// Auth: Gfx alias Romain GUY

#debug "TV @1997 Gfx\n"
#include "gfx.inc"
#include "skies.inc"

camera { 
  location < -0.4, 0.1, -2 >
  look_at < 0, -0.1, 10 >
}

light_source {
  < 0, 0, -5 >
  color White
  shadowless
}

box {
  < -1, -1, 1 >
  < 0.5, 0.5, 2 >
  texture { DMFWood6 }
}

box {
  < -0.9, -0.9, 0.95 >
  < 0.4, 0.4, 0.95 >
  pigment { 
    image_map {
      gif "spacewar.gif"
    }
  scale 1.5
  translate -2.5*x
  translate -2.5*y
  }
}

box {
    < -2, -1.2, 0 >
    < 1.7, -1, 2.5 >
    pigment { DMFWood4 }
    rotate -35*y
}

#declare Mur =
box {
  < -100, -100, 10 >
  < 100, 100, 10.2 >
  texture { Cork }
}

sor {
  4,
  < 0.4, 0 >, < 0.6, 0.33 >, < 0.8, 0.66 >, < 1, 1 >
  open
  texture { Glass3 }
  scale < 0.1, 0.8, 0.1 >
  translate < -1.1, -1, 0.36 >
}

sor {
  6,
  < 0, 0 >, < 0, 0 >, < 0.4, 0.1 >, < 0.6, 0.33 >, < 0.8, 0.66 >, < 1, 1 >
  open
  texture { Soft_Silver }
  scale < 0.3, 0.1, 0.3 >
  translate < -1.4, -1, 0.07 >
}

difference {
  object { Mur }    
  box {
    < 0, 0, 9 >
    < 4, 5.2, 11 >
    pigment { color rgbt < 1, 1, 1, 1 > }
  }
}

sky_sphere { S_Cloud3 translate 30*z }

box {
  < 1.9, 0, 10 >
  < 2.1, 5.2, 10.2 >
  texture { Cork }
}

box {
  < 0, 2.5, 10 >
  < 4, 2.7, 10.2 >
  texture { Cork }
}

