// Persistence of Vision Ray Tracer Scene Description File
// File: .gfx
// Vers: 3
// Desc: A beautiful scene: a drop over the sea two-colored
// Date: 20/07/97
// Auth: Gfx alias Romain GUY

#debug "WATER @1997 Gfx\n"
#include "gfx.inc"    
#include "skies.inc"

camera {
  location < 0, 1, -3 >
  look_at < 0, 0.2, 5 >
}

light_source {
  < 0, 1, -4 >
  color White
  spotlight
  point_at < 0, 0.4, 0.2 >
  radius 75
  falloff 75
}

sor { 
  15,
  <0.000,0.028>,
  <0.251,0.084>,
  <0.614,0.195>,
  <0.977,0.391>,
  <1.284,0.670>,
  <1.479,1.033>,
  <1.591,1.479>,
  <1.563,1.954>,
  <1.340,2.540>,
  <0.949,3.098>,
  <0.586,3.740>,
  <0.391,4.186>,
  <0.223,4.549>,
  <0.056,5.079>,
  <0.028,5.498>
  sturm
  texture { 
    pigment { color rgbft <.9,.95,1,1,1> }
       finish{
             reflection .3
             refraction .5
             ior 1.33
             }
  }
  scale 0.2
  translate < 0, 0.4, 0.2 >
}

sky_sphere {
  S_Cloud4
}

plane {
  y, 0
  texture { 
    pigment { color rgbft <.45,.5,1,1,1> }
       finish{
             reflection .3
             refraction .5
             ior 1.33
             }
  }
  normal {
    ripples 10
    scale 250
    translate < 0, 0.4, 0.2 >
  }
}

box {
  < -500, -20, -500 >,
  < 500, -20, 500 >
  pigment {
    color rgb < 0, .7, .61 >
  }
  finish {
    ambient .41
  }
  normal {
    waves 7
    scale 2
  }
}

fog {
  fog_type 2
  distance 300
  color rgbt < 0.5,0.5,0.9,0.2>
  fog_offset 8
  fog_alt 4
}

fog {
  fog_type 2
  distance 500
  color rgb < 0.7,0.7,1.0>
  fog_offset 4
  fog_alt 2
}

